<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>org.jenkins-ci</groupId>
    <artifactId>jenkins</artifactId>
    <version>1.91</version>
    <relativePath />
  </parent>

  <groupId>com.infradna.tool</groupId>
  <artifactId>bridge-method-injector-parent</artifactId>
  <version>1.25</version>
  <packaging>pom</packaging>

  <name>Bridge Method Injection Parent POM</name>
  <description>Evolve your classes without breaking compatibility</description>
  <url>https://github.com/jenkinsci/bridge-method-injector</url>

  <modules>
    <module>annotation</module>
    <module>injector</module>
  </modules>

  <properties>
    <revision>1.25</revision>
    <changelist>-SNAPSHOT</changelist>
    <gitHubRepo>jenkinsci/bridge-method-injector</gitHubRepo>
  </properties>

  <repositories>
    <repository>
      <id>repo.jenkins-ci.org</id>
      <url>https://repo.jenkins-ci.org/public/</url>
    </repository>
  </repositories>

  <pluginRepositories>
    <pluginRepository>
      <id>repo.jenkins-ci.org</id>
      <url>https://repo.jenkins-ci.org/public/</url>
    </pluginRepository>
  </pluginRepositories>

  <scm child.scm.connection.inherit.append.path="false" child.scm.developerConnection.inherit.append.path="false" child.scm.url.inherit.append.path="false">
    <connection>scm:git:https://github.com/${gitHubRepo}.git</connection>
    <developerConnection>scm:git:git@github.com:${gitHubRepo}.git</developerConnection>
    <url>https://github.com/${gitHubRepo}</url>
    <tag>bridge-method-injector-parent-1.25</tag>
  </scm>

  <developers>
    <developer>
      <id>kohsuke</id>
      <name>Kohsuke Kawaguchi</name>
    </developer>
  </developers>

  <licenses>
    <license>
      <name>MIT License</name>
      <distribution>repository</distribution>
      <url>https://opensource.org/licenses/MIT</url>
    </license>
  </licenses>
</project>
